Add free and open licensed font for Urdu script
Closed, ResolvedPublic

Description

Opening this bug to paste some links somewhere.

Odder used Pak Type Tehreer to create the new logo for the Urdu Wikipedia, but some user told us that it would be better to use a font in Nastaʿlīq script (also written Nastalique, Nastaleeq, Nastaliq).


Version: master
Severity: enhancement
Whiteboard: considered feature, font
URL: https://meta.wikimedia.org/wiki/Fonts
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=56939

bzimport set Reference to bz46693.
Nemo_bis created this task.Via LegacyMar 29 2013, 1:36 PM
bzimport added a comment.Via ConduitMar 31 2013, 7:49 PM

urdu.text wrote:

An Urdu font from CRULP is available under GPL license. This is "Nafees Web Naskh" and is included in Debian for example as "Nafees". The Debian link is

http://lists.debian.org/debian-devel/2006/05/msg01919.html

Once the font issue is resolved, please also enable the webfonts extension on ur.wikipedia.org

bzimport added a comment.Via ConduitMar 31 2013, 7:55 PM

urdu.text wrote:

The original 2006 announcement for GPL release for "Nafees Web Naskh" font by Dr. Sarmad Hussain (then director of CRULP) is here:

http://groups.yahoo.com/group/urdu_computing/message/1081

(In reply to comment #1)

An Urdu font from CRULP is available under GPL license. This is "Nafees Web
Naskh" and is included in Debian for example as "Nafees". The Debian link is

http://lists.debian.org/debian-devel/2006/05/msg01919.html

Once the font issue is resolved, please also enable the webfonts extension on
ur.wikipedia.org

tomasz added a comment.Via ConduitApr 3 2013, 12:52 PM

Created attachment 12029
Nafees Web Naksh font in TrueType format

So I overwrote the Urdu Wikipedia logo with a version that uses the Nafees Web Naskh font that is provided in the Debian ttf-nafees package, and is visible in the system simply as "Nafees".

Per comment 2, the font is released under the GPL, so it should be possible for us to use it on the Urdu Wikipedia.

Attached: NafeesWeb.ttf

Nemo_bis added a comment.Via ConduitApr 3 2013, 3:05 PM

Created attachment 12030
NafeesWebNaskh.woff converted with fontforge

Thanks! Here's the woff version per instructions; I'm not going to compile ttf2eot to make EOT though.

Attached: NafeesWebNaskh.woff

gerritbot added a comment.Via ConduitJul 11 2013, 11:19 AM

Change 73156 had a related patch set uploaded by KartikMistry:
Add free and open licensed font for Urdu script

https://gerrit.wikimedia.org/r/73156

gerritbot added a comment.Via ConduitJul 15 2013, 5:22 AM

Change 73156 merged by jenkins-bot:
Add free and open licensed font for Urdu script

https://gerrit.wikimedia.org/r/73156

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.